"""=============================================
منطق برنامه تعیین کننده اینکه عدد طبیعی N بر ۳ و ۷ بخش پذیر است یا نه
============================================="""

num = int(input("Please enter your num: "))
if num % 3 == 0 and num % 7 == 0:
    print("Yes")
else:
    print("No")

